Summary:	X interface to the GDB, DBX and XDB debuggers
Summary(ja.UTF-8):	GDB,DBX,Ladebug,JDB,Perl,Pythonのグラフィカルデバッガのフロントエンド
Summary(pl.UTF-8):	Interfejs X do debugerów GDB, DBX i XDB
Summary(zh_CN.UTF-8):	图形化的程序调试器前端;如GDB,DBX,Ladebug,JDB,Perl,Python
Name:		ddd
Version:	3.3.12
Release:	13
Epoch:		1
License:	GPL
Group:		Development/Debuggers
Source0:	http://ftp.gnu.org/gnu/ddd/%{name}-%{version}.tar.gz
# Source0-md5:	c50396db7bac3862a6d2555b3b22c34e
Source1:	%{name}.desktop
Source2:	http://art.gnome.org/images/icons/other/Debugger.png
# Source2-md5:	c046d9b0a04abdbb4a2be08a374ac2cd
Patch0:		%{name}-ptrace.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-home_etc.patch
Patch3:		%{name}-am185.patch
Patch4:		%{name}-gcc.4.4-build.patch
URL:		http://www.gnu.org/software/ddd/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	elfutils-devel
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	motif-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	texinfo
Requires:	gdb
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	%{_datadir}/X11/app-defaults

%define		specflags	-fno-strict-aliasing

%description
The Data Display Debugger (DDD) is a common graphical user interface
for GDB, DBX, and XDB, the popular UNIX debuggers. Besides
``classical'' front-end features such as viewing source texts, DDD
provides a graphical data display, where data structures are displayed
as graphs. A simple mouse click dereferences pointers or views
structure contents, updated each time the program stops. Using DDD,
you can reason about your application by viewing its data, not just by
viewing it execute lines of source code. Other DDD features include:
debugging of programs written in C, C++, Ada, Fortran, Java, Pascal,
Modula-2, or Modula-3; machine-level debugging; hypertext source
navigation and lookup; breakpoint, backtrace, and history editors;
preferences and settings editors; program execution in terminal
emulator window; debugging on remote host; on-line manual; interactive
help on the Motif user interface; GDB/DBX/XDB command-line interface
with full editing, history, search, and completion capabilities. DDD
has been designed to compete with well-known commercial debuggers

%description -l ja.UTF-8
DDDは、GDB,DBX,WDB,Ladebug,JDB,XDB,Perlデバッガ、またはPythonデバッガ
のようなコマンドライン型デバッガをグラフィカル型のデバッガに変身させる
フロントエンドです。ソースコードの参照等のような"通常"のフロントエンド
の機能のみならず、DDDはデータ構造をグラフとして表示する、会話式グラフ
ィカルデータ表示することで有名になりました。

%description -l pl.UTF-8
Data Display Debugger (DDD) jest typowym graficznym interfejsem do
GDB, DBX, i XDB - popularnych UNIXowych debuggerów. Poza
``klasycznymi'' możliwościami interfejsów graficznych takich jak
przeglądanie kodów źródłowych DDD dostarcza graficznych narzędzi,
gdzie struktury wyświetlane są w postaci graficznej. Proste kliknięcie
myszą pozwala na przeglądanie zawartości struktur (aktualizowane za
każdym razem gdy program się zatrzyma). Inne możliwości DDD to:
możliwość debugowania programów napisanych w C, C++, Ada, Fortran,
Java, Pascal, Modula-2, or Modula-2; debugowanie na poziomie maszyny;
hypertekstowa nawigacja po źródłach; breakpoint, backtrace i emulator
okna historii; możliwość ustawiania preferencji; uruchamianie
programów w oknie terminala; debugowanie na zdalnych serwerach;
podręcznik on-line; interaktywna pomoc; linia poleceń GDB/DBX/XDB z
pełną edycją, historią i wyszukiwaniem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-motif \
	--with-readline \
	--with-termlib=tinfo

%{__make} \
	CXXOPT="-DNDEBUG %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdefsdir},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ddd/Ddd $RPM_BUILD_ROOT%{_appdefsdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/ddd.png

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TIPS TODO doc/*.pdf
%attr(755,root,root) %{_bindir}/ddd
%{_datadir}/ddd*
%{_appdefsdir}/Ddd
%{_desktopdir}/ddd.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*
%{_infodir}/ddd*
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ddd.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> a502bcb
- rebuild with readline 7.0
- release 13 (by relup.sh)

* Sun Dec 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e9e770
- rel 12; build fixed

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f4b298
- release 11 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f81df7a
- ncurses rebuild
- release 10 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> afc7764
- release 9

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> ea744c8
- dropped pre-cvs changelog

* Fri Dec 11 2009 Paweł Sikora <pluto@pld-linux.org> 87da759
- updated to 3.3.12 (thx to Przemysław Firszt).

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 30e1ff3
- release 8

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1017a51
- release 7

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 7aad655
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 4142950
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 7a4cb59
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Wed Nov 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> cdbfe8c
- rel 6

* Fri Apr 20 2007 blekot <blekot@pld-linux.org> af446ba
- rel 5 due to _ZNSo9_M_insertEPKci, version GLIBCXX_3.4.9 not defined in file libstdc++.so.6
- STBR

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 7fe70d6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5e79cfb
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 81b4f76
- R: libXt >= 1.0.0 (for app-defaults in /usr/share)

* Mon Oct 09 2006 Paweł Sikora <pluto@pld-linux.org> de7449a
- fix X11/app-defaults location, release 4.

* Tue May 02 2006 Paweł Sikora <pluto@pld-linux.org> 58bdace
- xorgs modular deps, release 3.

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 3fd6fc7
- orphaned, outdated

